<?xml version="1.0" encoding="UTF-8"?>
<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <section id="maintenance_section" translate="label" sortOrder="150" showInDefault="1" showInWebsite="1" showInStore="1">
        <label>Maintenance</label>
        <tab>refilo</tab>
        <resource>FiloBlu_Maintenance::maintenance</resource>
        <group id="general" translate="label" type="text" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>General</label>
            <field id="enabled" translate="label comment" type="select" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
            <field id="allowed_urls" translate="label comment" sortOrder="2" type="textarea" showInStore="1" showInWebsite="1" showInDefault="1">
                <label>Allowed Url's</label>
                <comment><![CDATA[Each URL on a separate line.]]></comment>
            </field>
            <field id="allowed_ips" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Allowed Ips</label>
                <comment>IPs that can access Site (splitted by comma)</comment>
            </field>
            <field id="page_title" translate="label" type="text" sortOrder="15" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Page Title</label>
                <comment>Head Page Title</comment>
            </field>
            <field id="bg_image" translate="label" type="image" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Background Image</label>
                <backend_model>Magento\Config\Model\Config\Backend\Image</backend_model>
                <upload_dir config="system/filesystem/media" scope_info="1">filoblu/maintenance</upload_dir>
                <base_url type="media" scope_info="1">filoblu/maintenance</base_url>
                <comment><![CDATA[Allowed file types: jpeg, gif, png.]]></comment>
            </field>
            <field id="bg_image_mobile" translate="label" type="image" sortOrder="21" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Background Image Mobile</label>
                <backend_model>Magento\Config\Model\Config\Backend\Image</backend_model>
                <upload_dir config="system/filesystem/media" scope_info="1">filoblu/maintenance</upload_dir>
                <base_url type="media" scope_info="1">filoblu/maintenance</base_url>
                <comment><![CDATA[Allowed file types: jpeg, gif, png.]]></comment>
            </field>
            <field id="front_text" translate="label comment" sortOrder="30" type="editor" showInStore="1" showInWebsite="1" showInDefault="1">
                <label>Text</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
        </group>
    </section>
</include>
